/*
*/

#include <string>


class RTSCoproHelper
{
private:
    /* data */
    //lock Element
    int mFdRpmsg[2] = {-1, -1};
    static char mRxTraceBuffer[512];

public:
    
    RTSCoproHelper(/* args */);   
    ~RTSCoproHelper();
   
   int Copro_init(std::string fwPath, std::string fwName);
   bool Copro_initLogChannel();
   std::string Copro_readLogChannel();


   int Copro_isFwRunning(void);
   
   int Copro_openTtyRpmsg(int ttyNb, int modeRaw);
   int Copro_closeTtyRpmsg(int ttyNb);
   int Copro_writeTtyRpmsg(int ttyNb, int len, char* pData);
   int Copro_readTtyRpmsg(int ttyNb, int len, char* pData);
   int Copro_stopFw(void);
   int Copro_startFw(void);

private:

   int Copro_getFwPath(char* pathStr);
   int Copro_setFwPath(const char* pathStr);
   int Copro_getFwName(char* pathStr);
   int Copro_setFwName(const char* nameStr);

};
